If an ID is passed or an existing employee is matched (according to the matchType parameter), it will be updated. Otherwise a new employee will be created.

MatchType parameter values:

  • Standard (default): attempts to match an existing employee - first, based on the IRD number, then based on first name + surname + date of birth
  • None: do not attempt to match an existing employee (create a new one)
  • An employee may be created with a status of 'Incomplete' by specifying at least the minimum fields; firstName, surname, startDate, employmentType, taxCodeDeclaration_IrdNumber, taxCodeDeclaration_EsctRate, kiwiSaver_EnrollmentStatus. For an employee record to be considered 'Complete' the following groups of data are required:

  • Basic Details (Name, Start Date, Date of Birth and Address Details)
  • Tax Code Declaration (Tax Code and Employment Type)
  • Pay Run Defaults (Default Pay Category, Pay Cycle and Location)
  • Locations (at least one)
  • Bank Account/s (at least one)
  • Kiwi Saver Contribution Plan
  • If reporting dimensions are enabled for the business, add primary reporting dimension values using "|" as a separator between values.

    Request

    POST http:///api/v2/business/{businessId}/employee/unstructured

    Path parameters

    Parameter name Value Description Additional
    businessId string Required

    Query parameters

    Parameter name Value Description Additional
    model
    matchType string

    Possible values are:

    • None
    • Standard

    Response

    The following HTTP status codes may be returned, optionally with a response resource.

    Status code Description Resource
    200 OK

    OK

    EmployeeUpdateResponseModel
    201 Created

    Created

    EmployeeUpdateResponseModel
    400 Bad Request

    Bad Request

    ProblemDetails